Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 505004 - app-crypt/mit-krb5 - add multilib support
Summary: app-crypt/mit-krb5 - add multilib support
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Kerberos Maintainers
URL:
Whiteboard:
Keywords: PATCH
Depends on: 488418 505006 505008
Blocks: gx86-multilib 510354
  Show dependency tree
 
Reported: 2014-03-18 18:23 UTC by Michael Mair-Keimberger (iamnr3)
Modified: 2014-05-14 23:08 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
mit-krb5-1.12.1.ebuild.patch (mit-krb5-1.12.1.ebuild.patch,1.95 KB, patch)
2014-03-18 18:23 UTC, Michael Mair-Keimberger (iamnr3)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Mair-Keimberger (iamnr3) 2014-03-18 18:23:15 UTC
Created attachment 372956 [details, diff]
mit-krb5-1.12.1.ebuild.patch

My attempt for a multilib mit-krb5. Please have a look.
Comment 1 Christoph Junghans gentoo-dev 2014-05-01 15:27:28 UTC
Patch looks good to me, but needs multilib openssl for pkinit useflag.
Comment 2 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2014-05-03 11:04:11 UTC
Just to be clear, we have USE-conditional circular dep between openssl and mit-krb5.
Comment 3 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2014-05-14 23:08:34 UTC
+*mit-krb5-1.12.1-r1 (14 May 2014)
+
+  14 May 2014; Michał Górny <mgorny@gentoo.org> +mit-krb5-1.12.1-r1.ebuild:
+  Enable multilib support, bug #505004.

p.masked for further testing & review.